
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'paul_walker/version'

Gem::Specification.new do |spec|
  spec.name          = 'paul_walker'
  spec.version       = PaulWalker::VERSION
  spec.authors       = ['jshaffer']
  spec.email         = ['jshaffer@instructure.com']

  spec.summary       = 'Rate limit management using redis'
  spec.description   = 'Rate limit management using redis'
  spec.homepage      = 'https://github.com/jayshaffer/paul_walker'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'redis', '>= 4.0'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'mock_redis'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
